<?php
include('cp_header.php');
/****************************************** صفحة إرسال الاستبيان ***************************************/ 

include('inside_header.php'); 

//التحقق من المدخلات
if(
!isset($_POST['poll_id']) || !is_numeric($_POST['poll_id']) ||
!isset($_POST['mobile']) || !is_numeric($_POST['mobile']) ||
!isset($_POST['gender']) || !is_numeric($_POST['gender']) ||
!isset($_POST['name'])  || !isset($_POST['email']) 
){
	
die("خطأ فى المدخلات");		
}	


// ضمان عدم الإرسال مرتين
$RequestSignature = md5($_SERVER['REQUEST_URI'].$_SERVER['QUERY_STRING'].print_r($_POST, true));?>

<title>الإستبيانات- <?php echo $_SESSION['comp_title'] ?> </title>

<?php

	



?>

<section>

<div class="container-fluid p-0  container-white  backcolor_3" style='padding-bottom:0px;' >
			
	 <!-- ================ صورة تعبيرية للقسم ================= --> 
		<div class="col-lg-12 backcolor_3 page_head page_title_background" >
			<span class='page_title  text-center'  >
			
			<img  style='width: 150px;margin-bottom: 20px;' src='<?php echo $img_path; ?>poll.webp' alt='ارسال الاستبيان' />
			<br>
			<h1 style='color:var(--white);'>ارسال الاستبيان </h1>
			
			
			</span>
		</div>

	<div class="row" style="margin-bottom:50px;margin:0 auto;">		
			
<div class="col-md-12 " style='padding: 150px 20px;text-align: center;color: #fff;'>

<?php
	if (isset($_SESSION['LastRequest']) && $_SESSION['LastRequest'] == $RequestSignature){
		
		echo ("<div class='page_error' style='margin:200px 5% 70px 5%;'><span class='error_img'></span><span>حدث خطأ</span></div>");
		goto footer_end;
	}else{
 
			$_SESSION['LastRequest'] = $RequestSignature;
	
	}

?>


<?php

$answers=[];
$ques_ids=[];
$polls_answer_query='';
// الغاء حقن المدخلات
injection($_POST['name']);
injection($_POST['email']);
is_num($_POST['mobile']);
is_num($_POST['gender']);
is_num($_POST['poll_id']);


for($i=1;$i<=100;$i++){
	
	if(isset($_POST['ques' . $i])){
		$explode=explode('_',$_POST['ques' . $i]);
		is_num($explode[0]);
		is_num($explode[1]);
		$answers[]=$explode[0];
		$ques_ids[]=$explode[1];
		$polls_answer_query.="insert into polls_answers (user_id,ques_id,answer)values(@last_id,$explode[1],$explode[0]);";
		
		
	}else{
		goto end_loop;
	}
}

end_loop: 


//وضع المدخلات فى متغيرات
$name=($_POST['name']); // اسم الشخص
$mobile=($_POST['mobile']); // رقم الجوال
$email=($_POST['email']); // البريد الإلكترونى
$gender=($_POST['gender']); // النوع
$poll_id=($_POST['poll_id']); // ايدى الاستبيان





// استدعاء الاتصال بقاعدة البيانات
$conc_type='web_exec_conc';
include 'conf.php';
//include $web_exec_conc;

//الاستعلام لادخال النتائج

$query="";
$query.="SET autocommit = 0;";
$query.="START TRANSACTION;";
$query.="INSERT INTO polls_users (poll_id, user_name,user_email,mobile,gender) VALUES ('$poll_id', '$name','$email','$mobile','$gender');";
$query.="SET @last_id= LAST_INSERT_ID();";
$query.=$polls_answer_query;
$query.="COMMIT;";


mysqli_query($conn,"SET NAMES 'utf8'");
if(mysqli_multi_query($conn,$query)){
// فى حالة النجاح
?>	


<span align="center" class="send_survey_box">
<span class='survie_img'></span>
<span style='margin-top:20px;'>تم إرسال البيانات . شكرا لكم </span>
 </span>



<?php 
}else{
	
// فى حالة الفشل
err:	
echo "<div class='false'>لم يتم إرسال الاستبيان</div>";  
 
//echo  'error='.mysqli_stmt_error($query);
		
}



//print_r($answers);


//echo $message;


?>







</div>


</div>
</div>



</section>




<?php footer_end: ?>
<?php include_once('cp_footer.php');?>